Bug 1306485 - centos 7.2 need to do "systemctl enable rabbitmq-server" before "packstack --allinone --provision-demo=n"
centos 7.2 need to do "systemctl enable rabbitmq-server" before "packstack --...
Status: CLOSED EOL
Product: RDO
Classification: Community
Component: openstack-packstack (Show other bugs)
Liberty
x86_64 Linux
unspecified Severity medium
: ---
: Kilo
Assigned To: Martin Magr
Shai Revivo
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-10 19:29 EST by TJ Yang
Modified: 2016-05-19 11:33 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-19 11:33:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description TJ Yang 2016-02-10 19:29:50 EST
Description of problem:
Without "systemctl enable rabbitmq-server", 
 "packstack --allinone --provision-demo=n" will failed with following error


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. on Centos 7.2
2. systemctl disable  rabbitmq-server
3.packstack --allinone --provision-demo=n

Actual results:


Expected results:


Additional info:
Comment 1 TJ Yang 2016-02-10 19:40:50 EST
Here is the error log from " packstack --allinone" or "packstack --allinone --provision-demo=n"
<snipped>
Adding Nagios server manifest entries                [ DONE ]
Adding Nagios host manifest entries                  [ DONE ]
Adding post install manifest entries                 [ DONE ]
Copying Puppet modules and manifests                 [ DONE ]
Applying 192.168.0.71_prescript.pp
192.168.0.71_prescript.pp:                           [ DONE ]
Applying 192.168.0.71_amqp.pp
Applying 192.168.0.71_mariadb.pp
192.168.0.71_amqp.pp:                             [ ERROR ]
Applying Puppet manifests                         [ ERROR ]

ERROR : Error appeared during Puppet run: 192.168.0.71_amqp.pp
Error: Could not start Service[rabbitmq-server]: Execution of '/usr/bin/systemctl start rabbitmq-server' returned 1: Job for rabbitmq-server.service failed because the control process exited with error code. See "systemctl status rabbitmq-server.service" and "journalctl -xe" for details.
You will find full trace in log /var/tmp/packstack/20160210-193607-ByR_0n/manifests/192.168.0.71_amqp.pp.log
Please check log file /var/tmp/packstack/20160210-193607-ByR_0n/openstack-setup.log for more information
Additional information:
 * A new answerfile was created in: /root/packstack-answers-20160210-193609.txt
 * Time synchronization installation was skipped. Please note that unsynchronized time on server instances might be problem for some OpenStack components.
 * File /root/keystonerc_admin has been created on OpenStack client host 192.168.0.71. To use the command line tools you need to source the file.
 * To access the OpenStack Dashboard browse to http://192.168.0.71/dashboard .
Please, find your login credentials stored in the keystonerc_admin in your home directory.
 * To use Nagios, browse to http://192.168.0.71/nagios username: nagiosadmin, password: ebce4f34638a402a
[root@centos7t01 ~]# cat /etc/redhat-release
CentOS Linux release 7.2.1511 (Core)
[root@centos7t01 ~]#

Look like the puppet script missed the check of rabbitmq-server is enabled or not.
Comment 2 TJ Yang 2016-02-17 05:04:41 EST
My oneline trick "systemctl enable rabbitmq-server" doesn't work anymore.

1. install error message

<snipped>
Applying 192.168.0.71_mariadb.pp
192.168.0.71_amqp.pp:                             [ ERROR ]
Applying Puppet manifests                         [ ERROR ]

ERROR : Error appeared during Puppet run: 192.168.0.71_amqp.pp
Error: Could not start Service[rabbitmq-server]: Execution of '/usr/bin/systemctl start rabbitmq-server' returned 1: Job for rabbitmq-server.service failed because the control process exited with error code. See "systemctl status rabbitmq-server.service" and "journalctl -xe" for details.
You will find full trace in log /var/tmp/packstack/20160217-040607-QER90Q/manifests/192.168.0.71_amqp.pp.log
Please check log file /var/tmp/packstack/20160217-040607-QER90Q/openstack-setup.log for more information
Additional information:
<snipped>

2. here is the status ouput of rabbitmq-server.

[pi@centos7t01 ~]$ sudo /usr/bin/systemctl status -l rabbitmq-server
● rabbitmq-server.service - RabbitMQ broker
   Loaded: loaded (/usr/lib/systemd/system/rabbitmq-server.service; enabled; vendor preset: disabled)
  Drop-In: /etc/systemd/system/rabbitmq-server.service.d
           └─limits.conf
   Active: failed (Result: exit-code) since Wed 2016-02-17 03:58:52 EST; 21s ago
  Process: 21517 ExecStop=/usr/lib/rabbitmq/bin/rabbitmqctl stop (code=exited, status=2)
  Process: 21399 ExecStart=/usr/lib/rabbitmq/bin/rabbitmq-server (code=exited, status=1/FAILURE)
 Main PID: 21399 (code=exited, status=1/FAILURE)

Feb 17 03:58:48 centos7t01 rabbitmq-server[21399]: {"init terminating in do_boot",{rabbit,failure_during_boot,{could_not_start,rabbit,{bad_return,{{rabbit,start,[normal,[]]},{'EXIT',{rabbit,failure_during_boot,{badmatch,noport}}}}}}}}
Feb 17 03:58:48 centos7t01 systemd[1]: rabbitmq-server.service: main process exited, code=exited, status=1/FAILURE
Feb 17 03:58:48 centos7t01 rabbitmqctl[21517]: Stopping and halting node rabbit@centos7t01 ...
Feb 17 03:58:49 centos7t01 rabbitmqctl[21517]: Error: unable to connect to node rabbit@centos7t01: nodedown
Feb 17 03:58:52 centos7t01 rabbitmqctl[21517]: DIAGNOSTICS
Feb 17 03:58:52 centos7t01 rabbitmqctl[21517]: ===========
Feb 17 03:58:52 centos7t01 systemd[1]: rabbitmq-server.service: control process exited, code=exited status=2
Feb 17 03:58:52 centos7t01 systemd[1]: Failed to start RabbitMQ broker.
Feb 17 03:58:52 centos7t01 systemd[1]: Unit rabbitmq-server.service entered failed state.
Feb 17 03:58:52 centos7t01 systemd[1]: rabbitmq-server.service failed.
[pi@centos7t01 ~]$
Comment 3 Chandan Kumar 2016-05-19 10:57:04 EDT
It appears to be a openstack-packstack bug so changing the component.
Comment 4 Chandan Kumar 2016-05-19 11:33:43 EDT
This bug is against a Version which has reached End of Life.
If it's still present in supported release (http://releases.openstack.org), please update Version and reopen.

Note You need to log in before you can comment on or make changes to this bug.